/*
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 * 
 *   http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.    
 */
package org.apache.tuscany.sca.implementation.ejb;

import org.apache.tuscany.sca.assembly.Implementation;



/**
 * The model representing an EJB implementation in an SCA assembly model.
 *
 * @version $Rev: 656308 $ $Date: 2008-05-14 16:02:21 +0100 (Wed, 14 May 2008) $
 */
public interface EJBImplementation extends Implementation {
    
    /**
     * Returns the EJB link URI.
     * @return the EJB link URI
     */
    String getEJBLink();
    
    /**
     * Sets the EJB link URI.
     * @param ejbLink the EJB link URI
     */
    void setEJBLink(String ejbLink);

}
